# Instance

#### Example

```json
{
    "availableLanguages": [
        "english"
    ],
    "bigLogoLink": null,
    "creationTime": "2023-12-19T14:27:42.1864607+00:00",
    "currentLanguage": "english",
    "customCss": null,
    "customerWebsiteLink": null,
    "defaultFormLink": "//form.socialboards.com/southsideblueroyaljewelry",
    "displayName": "southsideblueroyaljewelry",
    "facebookLink": null,
    "faviconLink": null,
    "footerContent": null,
    "formLink": null,
    "googleAnalyticsCode": null,
    "googleTagManagerCode": null,
    "headerSubTitle": null,
    "headerTitle": "How can we help?",
    "instagramLink": null,
    "isChatEnabled": false,
    "isCookieMessageHidden": false,
    "isDefault": true,
    "isFooterHidden": false,
    "logoLink": null,
    "name": "publicapitests",
    "stickyButtonColor1": "#f5f5f5",
    "stickyButtonColor2": "#f5f5f5",
    "stickyButtonColor3": "#f5f5f5",
    "stickyButtonTextColor1": "#231f1f",
    "stickyButtonTextColor2": "#231f1f",
    "stickyButtonTextColor3": "#231f1f",
    "templateType": "text_default",
    "twitterLink": null
}
```

#### Fields

<table><thead><tr><th width="267.3333333333333">Field</th><th>Type</th><th>Comments</th></tr></thead><tbody><tr><td>availableLanguages</td><td>array of <a href="/pages/Dw25XAmWCZFgyPRjPbqm">Localization Language</a> enumeration</td><td>All available and enabled localization languages in FAQ instance</td></tr><tr><td>bigLogoLink</td><td>string</td><td>The URL for the large-sized FAQ logo</td></tr><tr><td>creationTime</td><td>string</td><td>Instance creation date. Represent datetime string in ISO 8601 format</td></tr><tr><td>currentLanguage</td><td><a href="/pages/Dw25XAmWCZFgyPRjPbqm">Localization Language</a> enumeration</td><td>The localization language set for the FAQ instance</td></tr><tr><td>customCss</td><td>string</td><td>Represents custom CSS rules applied to FAQ Page</td></tr><tr><td>customerWebsiteLink</td><td>string</td><td>Link to the customer website</td></tr><tr><td>defaultFormLink</td><td>string</td><td>The default form link attached to the FAQ Instance</td></tr><tr><td>displayName</td><td>string</td><td>The displayed name of the FAQ</td></tr><tr><td>facebookLink</td><td>string</td><td>Link to the customer Facebook account</td></tr><tr><td>faviconLink</td><td>string</td><td>The URL of the icon for the FAQ</td></tr><tr><td>footerContent</td><td>string</td><td>Custom HTML footer content</td></tr><tr><td>formLink</td><td>string</td><td>Overridden form link by user</td></tr><tr><td>googleAnalyticsCode</td><td>string</td><td>Google Analytics UA code</td></tr><tr><td>googleTagManagerCode</td><td>string</td><td>Google Tag Manager GTM code</td></tr><tr><td>headerSubTitle</td><td>string</td><td>The additional text accompanying the main FAQ header title</td></tr><tr><td>headerTitle</td><td>string</td><td>The main title of the FAQ</td></tr><tr><td>instagramLink</td><td>string</td><td>Link to the customer Instagram account</td></tr><tr><td>isChatEnabled</td><td>boolean</td><td>If <code>true</code> , chat widget will be displayed on the FAQ page</td></tr><tr><td>isCookieMessageHidden</td><td>boolean</td><td>If <code>true</code>, the cookie consent message will be hidden on the FAQ page</td></tr><tr><td>isDefault</td><td>boolean</td><td>If <code>true</code>, indicates the FAQ Instance is used as the default FAQ page for the community</td></tr><tr><td>isFooterHidden</td><td>boolean</td><td>If <code>true</code>, indicates the footer should be hidden</td></tr><tr><td>logoLink</td><td>string</td><td>The URL for the FAQ logo</td></tr><tr><td>name</td><td>string</td><td>The name of the FAQ</td></tr><tr><td>stickyButtonColor1</td><td>string</td><td>The background color for the first FAQ sticky category button</td></tr><tr><td>stickyButtonColor2</td><td>string</td><td>The background color for the second FAQ sticky category button</td></tr><tr><td>stickyButtonColor3</td><td>string</td><td>The background color for the third FAQ sticky category button</td></tr><tr><td>stickyButtonTextColor1</td><td>string</td><td>The text color for the first FAQ sticky category button</td></tr><tr><td>stickyButtonTextColor2</td><td>string</td><td>The text color for the second FAQ sticky category button</td></tr><tr><td>stickyButtonTextColor3</td><td>string</td><td>The text color for the third FAQ sticky category button</td></tr><tr><td>templateType</td><td><a href="/pages/7tgLzGbvoHaAMT5fETw2">​Template Type</a> enumeration</td><td>Indicates the FAQ styling theme</td></tr><tr><td>twitterLink</td><td>string</td><td>Link to the customer Twitter account</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.socialboards.com/docs/apis/faq/reference/objects/instance.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
